From 824f5983ac3124400aac05ad36aad0fc7b5f79e6 Mon Sep 17 00:00:00 2001
From: Andrea Sacchetti Picchio <andrea dot sacchettipicchio at gmail dot com>
Date: Wed, 6 Dec 2023 10:14:33 +0700
Subject: development/rtaudio: Added (C++ classes for Audio).

Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
---
 development/rtaudio/README             |  15 ++++
 development/rtaudio/rtaudio.SlackBuild | 121 +++++++++++++++++++++++++++++++++
 development/rtaudio/rtaudio.info       |  10 +++
 development/rtaudio/slack-desc         |  19 ++++++
 4 files changed, 165 insertions(+)
 create mode 100644 development/rtaudio/README
 create mode 100644 development/rtaudio/rtaudio.SlackBuild
 create mode 100644 development/rtaudio/rtaudio.info
 create mode 100644 development/rtaudio/slack-desc

(limited to 'development/rtaudio')

diff --git a/development/rtaudio/README b/development/rtaudio/README
new file mode 100644
index 0000000000000..1de575a8727fb
--- /dev/null
+++ b/development/rtaudio/README
@@ -0,0 +1,15 @@
+RtAudio is a set of C++ classes that provides a common API for
+realtime audio input/output. RtAudio significantly simplifies the
+process of interacting with computer audio hardware.
+
+It was designed with the following objectives:
+- object-oriented C++ design
+- simple, common API across all supported platforms
+- only one source and one header file for easy inclusion in
+  programming projects
+- allow simultaneous multi-api support
+- support dynamic connection of devices
+- provide extensive audio device parameter control
+- allow audio device capability probing
+- automatic internal conversion for data format, channel number
+  compensation, (de)interleaving, and byte-swapping
diff --git a/development/rtaudio/rtaudio.SlackBuild b/development/rtaudio/rtaudio.SlackBuild
new file mode 100644
index 0000000000000..aa981cb0a6ab8
--- /dev/null
+++ b/development/rtaudio/rtaudio.SlackBuild
@@ -0,0 +1,121 @@
+#!/bin/bash
+
+# Slackware build script for rtaudio
+
+# Copyright 2023 Andrea Sacchetti Picchio Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=rtaudio
+VERSION=${VERSION:-6.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) ARCH=i586 ;;
+    arm*) ARCH=arm ;;
+       *) ARCH=$( uname -m ) ;;
+  esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+  echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+  exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+  SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+  -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+  -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./autogen.sh --no-configure
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+  --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --sysconfdir=/etc \
+  --localstatedir=/var \
+  --mandir=/usr/man \
+  --docdir=/usr/doc/$PRGNAM-$VERSION \
+  --disable-static \
+  --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+# package some useful programs
+mkdir -p $PKG/usr/bin
+cp \
+  tests/{audioprobe,playsaw,playraw,record,duplex,apinames} \
+  $PKG/usr/bin
+find $PKG/usr/bin -type f -exec chmod 755 {} \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+  ChangeLog install.txt LICENSE README.md \
+  $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/rtaudio/rtaudio.info b/development/rtaudio/rtaudio.info
new file mode 100644
index 0000000000000..cbca9bd11a46c
--- /dev/null
+++ b/development/rtaudio/rtaudio.info
@@ -0,0 +1,10 @@
+PRGNAM="rtaudio"
+VERSION="6.0.1"
+HOMEPAGE="https://github.com/thestk/rtaudio/"
+DOWNLOAD="https://github.com/thestk/rtaudio/archive/6.0.1/rtaudio-6.0.1.tar.gz"
+MD5SUM="62625b2fd4a2e5ddd9797ff7eb4fa2de"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Andrea Sacchetti Picchio"
+EMAIL="andrea dot sacchettipicchio at gmail dot com"
diff --git a/development/rtaudio/slack-desc b/development/rtaudio/slack-desc
new file mode 100644
index 0000000000000..824405666a136
--- /dev/null
+++ b/development/rtaudio/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+       |-----handy-ruler------------------------------------------------------|
+rtaudio: rtaudio (a set of realtime audio i/o C++ classes)
+rtaudio:
+rtaudio: RtAudio is a set of C++ classes that provide a common API
+rtaudio: for realtime audio input/output.
+rtaudio:
+rtaudio:
+rtaudio:
+rtaudio:
+rtaudio:
+rtaudio: Homepage: https://github.com/thestk/rtaudio/
+rtaudio:
-- 
cgit v1.2.3